> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v2/fr/modeles-extraction/optional-features/raw-text-full-ocr.md).

# Texte brut (OCR complet)

Ajoutez le contenu textuel complet de vos documents à la réponse de l’API.

## Aperçu

En activant cette fonctionnalité, le contenu textuel complet du document sera extrait à l’aide de la technologie OCR (reconnaissance optique de caractères).

Le contenu obtenu sera inclus dans la réponse de l’API.

Dans la réponse, le contenu textuel de chaque page sera renseigné.

## Cas d’usage

Avoir accès au texte brut peut être particulièrement utile lorsque :

* vous devez enregistrer une copie du texte pour vos dossiers
* effectuer des recherches dans le texte

## Activer le texte brut

### Activer le texte brut via des appels API

Si vous avez besoin d’un contrôle plus granulaire sur le moment où la fonctionnalité est utilisée, vous pouvez l’activer ou la désactiver lors de l’exécution d’appels API.

Cela permet de définir dynamiquement l’état d’activation à l’aide de votre logique métier interne ou propre à votre domaine.

Vérifiez le [Configuration du client](/v2/fr/integrations/client-libraries-sdk/configure-the-client.md#optional-features-configuration) section si vous utilisez notre [Bibliothèques clientes / SDK](/v2/fr/integrations/client-libraries-sdk.md).

## Utiliser le résultat du texte brut

Nous vous recommandons vivement d’utiliser nos [Bibliothèques clientes / SDK](/v2/fr/integrations/client-libraries-sdk.md), car ils incluent diverses fonctions pour faciliter le traitement.

Pour traiter plus particulièrement le texte brut, consultez le [Traitement des réponses](/v2/fr/integrations/client-libraries-sdk/process-the-response.md#raw-text) section.

Sinon, consultez le [Intégration manuelle](/v2/fr/integrations/api-reference.md#get-v2-inferences-inference_id) section.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mindee.com/v2/fr/modeles-extraction/optional-features/raw-text-full-ocr.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
